﻿/*Padding*/
.padding-0{padding:0 !important;}
.padding-10, .padding-d-10{padding:10px;}
.padding-left-10{padding-left:10px;}
.padding-20, .padding-d-20{padding:20px;}
.padding-top-20{padding-top:20px;}

/* Margin */
.margin-0{margin:0;}
.margin-top-10, .margin-top-d-10{margin-top:10px;}
.margin-top-20, .margin-top-d-20{margin-top:20px;}

/* Border */
.border-radius-top-left-100{border-radius:100% 0 0 100%;}
.border-radius-right-bottom-100{border-radius:0 100% 100% 0;}

/* Text */
.text-align-center{text-align: center;}
.text-align-right{text-align:right;}
.text-align-left{text-align: left;}
.text-transform-uppercase{text-transform: uppercase;}
.line-height-35{line-height: 35px;}

.coluna{
padding-left:10px;
padding-right:10px;
-webkit-box-sizing:border-box;
-moz-box-sizing:border-box;
box-sizing:border-box;
float:left;
}

.clear{clear:both}
/* Colunas */
.coluna-12, .coluna-d-12, .coluna-t-12, .coluna-m-12{width:100%;}
.coluna-11, .coluna-d-11, .coluna-t-11, .coluna-m-11{width:91.66%;}
.coluna-10, .coluna-d-10, .coluna-t-10, .coluna-m-10{width:83.33%;}
.coluna-9, .coluna-d-9, .coluna-t-9, .coluna-m-9{width:75%;}
.coluna-8, .coluna-d-8, .coluna-t-8, .coluna-m-8{width:66.66%;}
.coluna-7, .coluna-d-7, .coluna-t-7, .coluna-m-7{width:58.33%;}
.coluna-6, .coluna-d-6, .coluna-t-6, .coluna-m-6{width:50%;}
.coluna-5, .coluna-d-5, .coluna-t-5, .coluna-m-5{width:41.66%;}
.coluna-4, .coluna-d-4, .coluna-t-4, .coluna-m-4{width:33.33%;}
.coluna-3, .coluna-d-3, .coluna-t-3, .coluna-m-3{width:25%;}
.coluna-2, .coluna-d-2, .coluna-t-2, .coluna-m-2{width:16.66%;}
.coluna-1, .coluna-d-1, .coluna-t-1, .coluna-m-1{width:8.33%;}
/* Push */
.coluna-d-push-12{margin-left:100%;}
.coluna-d-push-11{margin-left:91.66%;}
.coluna-d-push-10{margin-left:83.33%;}
.coluna-d-push-9{margin-left:75%;}
.coluna-d-push-8{margin-left:66.66%;}
.coluna-d-push-7{margin-left:58.33%;}
.coluna-d-push-6{margin-left:50%;}
.coluna-d-push-5{margin-left:41.66%;}
.coluna-d-push-4{margin-left:33.33%;}
.coluna-d-push-3{margin-left:25%;}
.coluna-d-push-2{margin-left:16.66%;}
.coluna-d-push-1{margin-left:8.33%;}
/* Linhas */
.linha{margin-top:10px; margin-bottom:10px;}
.linha:first-child{margin-top:0;}
.linha:last-child{margin-bottom:0;}

/* Helpers */
.hidden, .hidden-d{display:none;}

/* Forms */
#motor-de-cotacao button, #motor-de-cotacao input, #motor-de-cotacao select{height:40px;}
#motor-de-cotacao button.select, #motor-de-cotacao input, #motor-de-cotacao select{
border:0;
border-bottom:1px solid #cccccc;
padding-left:0;
}
button.select, #motor-de-cotacao input,  #motor-de-cotacao select{
-webkit-box-sizing:border-box;
-moz-box-sizing:border-box;
box-sizing:border-box;
font-size:1em;
}

#motor-de-cotacao select{
-webkit-appearance: none;
-moz-appearance: none;
outline:0;
background:#ffffff url(/Frontend/images/motor-de-cotacao/triangle-down.png) no-repeat center right;
background-size:8%;
cursor: pointer;
}


#motor-de-cotacao select:focus{border-bottom-color:#0060a9;}
#motor-de-cotacao button.select:hover, #motor-de-cotacao input:hover{border-color:#999999;}
#motor-de-cotacao input.ativo, #motor-de-cotacao button.select.ativo{border-color:#0060a9;}
#motor-de-cotacao input.correto, #motor-de-cotacao select.correto, #motor-de-cotacao button.select.correto{border-color:#adcb57;}

/* Inputs */
#motor-de-cotacao input.calendario{background:#ffffff url(/Frontend/images/motor-de-cotacao/calendar.png) no-repeat right center;background-size:12%;padding-right:25px;}
#motor-de-cotacao .resultado-passageiros input{width:100%;height:35px;border:0;font-size:0.85em !important;}
#motor-de-cotacao .resultado-passageiros input::-webkit-outer-spin-button,
#motor-de-cotacao .resultado-passageiros input::-webkit-inner-spin-button {-webkit-appearance: none;margin: 0;}

/* Button */
#motor-de-cotacao button:focus{outline:0;}
button.select{
padding-left:0;
padding-top:5px;
padding-bottom:5px;
text-align:left;
/*background:#ffffff url(/Frontend/images/motor-de-cotacao/triangle-down.png) no-repeat center right;*/
background:#ffffff;
background-size:10%;
cursor:pointer;
}
button.select{position:relative}
button.select:after {
content:' ';
display: block;
width: 20px;
height: 39px;
background:#ffffff url(/Frontend/images/motor-de-cotacao/triangle-down.png) no-repeat center right;
background-size:100%;
position: absolute;
top: 0;
right: 0;
}
button.botao-text{
height:auto !important;
background:transparent;
color:#0060a9;
cursor:pointer;
padding:0;
margin:0;
border:0;
}
button.botao-text:hover{text-decoration:underline;}
.botao{
border:0;
border-radius:3px;
font-size:1em;
cursor:pointer;
}
.botao-padrao, .botao.desabilitado{background:#999999;color:#ffffff;}
.botao-principal{background:#FF6600;color:#ffffff;}

/* Label */
#motor-de-cotacao label{font-size:0.75em;line-height: 20px;display:block;}

.banner-motor-de-cotacao{width:100%;height:500px;position:relative;background-repeat:no-repeat; background-position: center center;background-size:cover}
.banner-motor-de-cotacao #cupom{width:100%; height:100%; background-repeat:no-repeat;background-position:center;background-size:cover;}
.banner-motor-de-cotacao #motor-de-cotacao{position:absolute;bottom: 80px;}
#motor-de-cotacao{position:relative;}
#motor-de-cotacao .conteudo{
background:#ffffff;
-webkit-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.3);
-moz-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.3);
box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.3);
}
#motor-de-cotacao *, .ui-datepicker{font-family: "proximanova regular", "Gill Sans", "Gill Sans MT", "Myriad Pro", "DejaVu Sans Condensed", Helvetica, Arial, sans-serif;}
#motor-de-cotacao #titulo{background:#014d98;border-radius:0 10px 0 0;}
#motor-de-cotacao #titulo h2{margin-top:10px;margin-bottom:10px;font-size:1em;color:#ffffff;}
#motor-de-cotacao #outros-destinos a{color:#ffffff;text-shadow:1px 1px 1px rgba(0,0,0,0.9);}
#motor-de-cotacao .select-conteudo{position:absolute;background-color:#ffffff;border:1px solid #cccccc;z-index:3;}
#motor-de-cotacao #selecionar-passageiros .linha small{display:block;}
#motor-de-cotacao #selecionar-passageiros .numero-passageiros{width:30%;height:35px;border:1px solid #cccccc;color:transparent;}
#motor-de-cotacao .resultado-passageiros{width:40%;}
#selecionar-passageiros .numero-passageiros, #selecionar-passageiros .resultado-passageiros{float:left;}

#motor-de-cotacao #selecionar-destinos .lista-opcoes{max-height:150px;overflow-y: auto;border-bottom:1px solid #cccccc;}
#motor-de-cotacao #selecionar-destinos .titulo-opcoes{background:#e1e1e1;color:#0060a9;}
#motor-de-cotacao #selecionar-destinos .titulo-opcoes small{font-size:.7em;}
#motor-de-cotacao #selecionar-destinos .opcao{padding:10px 5px;font-size:.8em;cursor:pointer;}
#motor-de-cotacao #selecionar-destinos .opcao:hover, #motor-de-cotacao #selecionar-destinos .opcao.selecionada{background:#009cda;color:#ffffff;}

.desabilitado{opacity:0.5;}
.adicionar-passageiro{background:#ffffff url(/Frontend/images/motor-de-cotacao/plus-ativo.png) no-repeat center center;background-size:100%;}
.subtrair-passageiro{background:#ffffff url(/Frontend/images/motor-de-cotacao/minus-ativo.png) no-repeat center center;background-size:100%;}
.subtrair-passageiro.desabilitado{background-image:url(/Frontend/images/motor-de-cotacao/minus-desabilitado.png);}
.adicionar-passageiro.desabilitado{background-image:url(/Frontend/images/motor-de-cotacao/plus-desabilitado.png);}
.adicionar-passageiro:not(.desabilitado):active, .subtrair-passageiro:not(.desabilitado):active{background-color:#0060a9;border-color:#0060a9;cursor:pointer;}
.adicionar-passageiro:active{background-image:url(/Frontend/images/motor-de-cotacao/plus-hover.png);}
.subtrair-passageiro:active{background-image:url(/Frontend/images/motor-de-cotacao/minus-hover.png);}
#motor-de-cotacao .select-conteudo, .ui-datepicker{
-webkit-box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.15);
-moz-box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.15);
box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.15);
}

/* Datapicker */
.ui-datepicker{padding:0;margin-top:10px;}
.ui-datepicker .ui-datepicker-title{font-size:1.25em;line-height:2.5em;}
.ui-corner-all{border-radius:0;border:1px solid #cccccc;}
.ui-datepicker td span, .ui-datepicker td a{height:30px;line-height:30px;text-align:center;}
.ui-state-default, .ui-widget-content .ui-state-default{border-color:#ffffff;background:transparent;}
.ui-state-highlight, .ui-widget-content .ui-state-highlight{background:none;border:0;color:#454545;}
.ui-datepicker td {padding:0;border:0;}
.ui-state-default, .ui-widget-content .ui-state-default{border:0;font-size:1.1em;}
.ui-datepicker table tr {border-bottom: 4px solid #ffffff;}
.ui-datepicker th{font-size:1.2em;}
/*Icones*/
.ui-icon.ui-icon-circle-triangle-e, .ui-icon.ui-icon-circle-triangle-w{background-size:100% !important;width:100%;}
.ui-icon.ui-icon-circle-triangle-e{background:url(/Frontend/images/motor-de-cotacao/chevron-right.png) no-repeat center center;}
.ui-icon.ui-icon-circle-triangle-w{background:url(/Frontend/images/motor-de-cotacao/chevron-left.png) no-repeat center center;left:0 !important;}
.ui-datepicker .ui-datepicker-next, .ui-datepicker .ui-state-hover.ui-datepicker-next-hover{top:10px;right:10px;}
.ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-state-hover.ui-datepicker-prev-hover{top:10px;left:10px;}
.ui-datepicker .ui-datepicker-next, .ui-datepicker .ui-datepicker-prev, .ui-datepicker .ui-state-hover.ui-datepicker-next-hover, .ui-datepicker .ui-state-hover.ui-datepicker-prev-hover{border:0;background:transparent;cursor:pointer;}

/* Tables */
.ui-datepicker-multi .ui-datepicker-group table{
width:100%;
margin:0;
-webkit-box-sizing:border-box;
-moz-box-sizing:border-box;
box-sizing:border-box;
}
/* Thead e Tbody */
.ui-datepicker-group-first .ui-datepicker-calendar tbody{border-right:4px solid #ffffff;}
.ui-datepicker-group-last .ui-datepicker-calendar tbody{border-left:4px solid #ffffff;}
.ui-datepicker-calendar thead, .ui-widget-header{background:#e1e1e1;border:0;}

.selecionado .ui-state-default{background: #009cda;color: #FFF;}


/* Media Query */
@media only screen and (max-width: 320px){
	#motor-de-cotacao #selecionar-passageiros .linha small{font-size:.75em !important;}
	#motor-de-cotacao input.calendario{font-size:.8em;padding-left:30px !important;}
}

@media only screen and (max-width: 480px){
	/* Padding */
	.padding-m-0{padding:0 !important;}
	.padding-top-m-0{padding-top:0 !important;}
	.padding-d-10, .padding-d-20{padding:0;}

	/* Margin */
	.margin-top-d-10{margin:0;}
	.margin-top-bottom-m-20{margin-top:20px; margin-bottom:20px;}
	.margin-top-bottom-m-10{margin-top:10px; margin-bottom:10px;}
	.margin-bottom-m-20{margin-bottom:20px;}

	/* Colunas */
	.coluna-m{
	padding-left:10px;
	padding-right:10px;
	-webkit-box-sizing:border-box;
	-moz-box-sizing:border-box;
	float:left;
	}
	/* Linhas */
	.linha:first-child{margin-top:10px;}

	/* Mobile */
	.coluna-m-12{width:100% !important;}
	.coluna-m-11{width:91.66% !important;}
	.coluna-m-10{width:83.33% !important;}
	.coluna-m-9{width:75% !important;}
	.coluna-m-8{width:66.66% !important;}
	.coluna-m-7{width:58.33% !important;}
	.coluna-m-6{width:50% !important;}
	.coluna-m-5{width:41.66% !important;}
	.coluna-m-4{width:33.33% !important;}
	.coluna-m-3{width:25% !important;}
	.coluna-m-2{width:16.66% !important;}
	.coluna-m-1{width:8.33% !important;}

	/* Desktop */
	.coluna-d-12, .coluna-d-11, .coluna-d-10, .coluna-d-9, .coluna-d-8, .coluna-d-7, .coluna-d-6, .coluna-d-5, .coluna-d-4, .coluna-d-3, .coluna-d-2, .coluna-d-1{width:100%;}
	.coluna-d-push-12, .coluna-d-push-11, .coluna-d-push-10, .coluna-d-push-9, .coluna-d-push-8, .coluna-d-push-7, .coluna-d-push-6, .coluna-d-push-5, .coluna-d-push-4, .coluna-d-push-3, .coluna-d-push-2, .coluna-d-push-1{margin-left:0;}

	/* Helpers */
	.visible-m{display:block !important;}
	.hidden-m{display:none !important;}

	/* Forms */
	/* Labels */
	#motor-de-cotacao label{font-size:1em;font-weight:bold;line-height: 30px;}

	/* Input */
	#motor-de-cotacao input.calendario{background-size:20%;background-position:left center;padding-left:45px;padding-right:0;}

	/* Motor */
	.banner-motor-de-cotacao{height:auto;}
	.banner-motor-de-cotacao #cupom{height:168px;}
	.banner-motor-de-cotacao #motor-de-cotacao{
	bottom: 0;
	top:auto;
	position:relative;
	margin-bottom:30px;
	margin-top:0;
	-webkit-box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.3);
	-moz-box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.3);
	box-shadow: 0px 2px 10px 0px rgba(0, 0, 0, 0.3);	
	}
	#motor-de-cotacao .conteudo{-webkit-box-shadow:none;-moz-box-shadow:none;box-shadow:none;}
	#motor-de-cotacao .select-conteudo{position:relative;border:0;}
	#motor-de-cotacao #selecionar-passageiros .linha small{text-align:center;font-size:0.85em;}
	#motor-de-cotacao #titulo{border-radius:0;}
	#motor-de-cotacao #titulo h2{margin-top:10px;margin-bottom:10px;font-size:.8em;color:#ffffff;}
	#motor-de-cotacao #selecionar-destinos .lista-opcoes{border:1px solid #cccccc;}
	#motor-de-cotacao .select-conteudo, .ui-datepicker{-webkit-box-shadow:none;-moz-box-shadow:none;box-shadow:none;}

	/* Datepicker */
	#calendario-mobile{overflow-y:scroll;margin-top:20px;border:1px solid #cccccc;}
	#calendario-mobile .ui-datepicker.ui-datepicker-multi{width: 100% !important;margin-top:0;border:0;}
	#calendario-mobile .ui-state-default, .ui-widget-content .ui-state-default{font-size:1.35em;}
	#calendario-mobile .ui-datepicker-multi .ui-datepicker-group{float:none;}
	#calendario-mobile .ui-datepicker-group-first .ui-datepicker-calendar tbody{border:0;}
	#calendario-mobile .ui-datepicker-group-last .ui-datepicker-calendar tbody{border:0;}
	#calendario-mobile .ui-datepicker-prev, #calendario-mobile .ui-datepicker-next{display:none;}
	#limpar-calendario-mobile{line-height:30px;float:right;}
}

@media only screen and (min-width:481px) and (max-width: 768px){
	/* Colunas */
	.coluna-t-12{width:100% !important;}
	.coluna-t-11{width:91.66% !important;}
	.coluna-t-10{width:83.33% !important;}
	.coluna-t-9{width:75% !important;}
	.coluna-t-8{width:66.66% !important;}
	.coluna-t-7{width:58.33% !important;}
	.coluna-t-6{width:50% !important;}
	.coluna-t-5{width:41.66% !important;}
	.coluna-t-4{width:33.33% !important;}
	.coluna-t-3{width:25% !important;}
	.coluna-t-2{width:16.66% !important;}
	.coluna-t-1{width:8.33% !important;}
	
	/* Push */
	.coluna-t-push-12{margin-left:100% !important;}
	.coluna-t-push-11{margin-left:91.66% !important;}
	.coluna-t-push-10{margin-left:83.33% !important;}
	.coluna-t-push-9{margin-left:75% !important;}
	.coluna-t-push-8{margin-left:66.66% !important;}
	.coluna-t-push-7{margin-left:58.33% !important;}
	.coluna-t-push-6{margin-left:50% !important;}
	.coluna-t-push-5{margin-left:41.66% !important;}
	.coluna-t-push-4{margin-left:33.33% !important;}
	.coluna-t-push-3{margin-left:25% !important;}
	.coluna-t-push-2{margin-left:16.66% !important;}
	.coluna-t-push-1{margin-left:8.33% !important;}	

	.coluna-d-12, .coluna-d-11, .coluna-d-10, .coluna-d-9, .coluna-d-8, .coluna-d-7, .coluna-d-6, .coluna-d-5, .coluna-d-4, .coluna-d-3, .coluna-d-2, .coluna-d-1{width:100%;}
	.coluna-d-push-12, .coluna-d-push-11, .coluna-d-push-10, .coluna-d-push-9, .coluna-d-push-8, .coluna-d-push-7, .coluna-d-push-6, .coluna-d-push-5, .coluna-d-push-4, .coluna-d-push-3, .coluna-d-push-2, .coluna-d-push-1{margin-left:0;}

	/* Desktop */
	.coluna-d-12, .coluna-d-11, .coluna-d-10, .coluna-d-9, .coluna-d-8, .coluna-d-7, .coluna-d-6, .coluna-d-5, .coluna-d-4, .coluna-d-3, .coluna-d-2, .coluna-d-1{width:100%;}

	/* Forms */
	/* Inputs */
	#motor-de-cotacao input.calendario{background-size:12%;}
	#motor-de-cotacao button.select{background-size:15%;}
	#motor-de-cotacao input, #motor-de-cotacao button, #motor-de-cotacao select{font-size:.85em;}
	
	/* Motor */
	.banner-motor-de-cotacao{height:440px; bottom: 20px;}

	/* Helpers */
	.hidden-t{display:none;}

}

@media only screen and (min-width: 768px){
	.margin-top-d-20{margin-top:20px;}
	.coluna-m{width:auto;}
	.coluna-t{width:auto;}

	/* Helpers */
	.hidden-d{display:none;}

	.adicionar-passageiro:not(.desabilitado):hover, .subtrair-passageiro:not(.desabilitado):hover{background-color:#0060a9;border-color:#0060a9;cursor:pointer;}
	.adicionar-passageiro:hover{background-image:url(/Frontend/images/motor-de-cotacao/plus-hover.png);}
	.subtrair-passageiro:hover{background-image:url(/Frontend/images/motor-de-cotacao/minus-hover.png);}
}

@media only screen and (min-width: 1440px){
	.banner-motor-de-cotacao #motor-de-cotacao{max-width:1024px;left:50%;margin-left:-512px;}

}
